
From: Anton Blanchard <anton@samba.org>

The kernel wouldnt link when SYSVIPC was disabled.  x86-64 was already
defining a cond_syscall, instead of duplicating it in the ppc64 port move it
into the arch specific portion of kernel/sys_ni.c

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/sys_ppc32.c |    2 ++
 25-akpm/arch/x86_64/ia32/sys_ia32.c   |    2 --
 25-akpm/kernel/sys_ni.c               |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-problem-disabling-sysvipc arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-problem-disabling-sysvipc	2005-01-23 00:51:33.114642048 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2005-01-23 00:51:33.121640984 -0800
@@ -492,6 +492,7 @@ asmlinkage long sys32_settimeofday(struc
 	return do_sys_settimeofday(tv ? &kts : NULL, tz ? &ktz : NULL);
 }
 
+#ifdef CONFIG_SYSVIPC
 long sys32_ipc(u32 call, u32 first, u32 second, u32 third, compat_uptr_t ptr,
 	       u32 fifth)
 {
@@ -556,6 +557,7 @@ long sys32_ipc(u32 call, u32 first, u32 
 
 	return -ENOSYS;
 }
+#endif
 
 /* Note: it is necessary to treat out_fd and in_fd as unsigned ints, 
  * with the corresponding cast to a signed int to insure that the 
diff -puN arch/x86_64/ia32/sys_ia32.c~ppc64-problem-disabling-sysvipc arch/x86_64/ia32/sys_ia32.c
--- 25/arch/x86_64/ia32/sys_ia32.c~ppc64-problem-disabling-sysvipc	2005-01-23 00:51:33.115641896 -0800
+++ 25-akpm/arch/x86_64/ia32/sys_ia32.c	2005-01-23 00:51:33.122640832 -0800
@@ -1082,8 +1082,6 @@ long sys32_lookup_dcookie(u32 addr_low, 
 	return sys_lookup_dcookie(((u64)addr_high << 32) | addr_low, buf, len);
 }
 
-cond_syscall(sys32_ipc)
-
 static int __init ia32_init (void)
 {
 	printk("IA32 emulation $Id: sys_ia32.c,v 1.32 2002/03/24 13:02:28 ak Exp $\n");  
diff -puN kernel/sys_ni.c~ppc64-problem-disabling-sysvipc kernel/sys_ni.c
--- 25/kernel/sys_ni.c~ppc64-problem-disabling-sysvipc	2005-01-23 00:51:33.117641592 -0800
+++ 25-akpm/kernel/sys_ni.c	2005-01-23 00:51:33.120641136 -0800
@@ -81,4 +81,4 @@ cond_syscall(compat_sys_socketcall)
 cond_syscall(sys_pciconfig_read)
 cond_syscall(sys_pciconfig_write)
 cond_syscall(sys_pciconfig_iobase)
-
+cond_syscall(sys32_ipc)
_
